Memory & streams
Decisions, stream entries, and semantic search over company memory.
API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/search" \ -H "Content-Type: application/json" \ -d '{ "query": "string", "companyId": "8bb73d03-06b4-47c7-80c7-59301f770eda" }'{
"artifacts": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"artifactType": "string",
"contentPreview": "string",
"similarity": 0
}
],
"conversations": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"summary": "string",
"createdAt": "2019-08-24T14:15:22Z",
"similarity": 0
}
]
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Query Parameters
UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidFilter by domain (e.g., product, growth, people, finance, operations).
51 <= value <= 20Header Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/streams/decisions?companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08"[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"content": "string",
"domain": "string",
"made_at": "2019-08-24T14:15:22Z",
"context": "string"
}
]{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Query Parameters
UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidFilter by entry type (for example decisions, hypotheses, experiments, blockers, wins, learnings).
201 <= value <= 100Header Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/streams/entries?companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"entries": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"content": "string",
"type": "string",
"lifecycle": "vision",
"domain": "product",
"reversibility": "irreversible",
"confidence": "validated",
"priority": "low",
"status": "active",
"superseded_by": "a99fa58d-1b9b-4688-ad5f-382f6b17ef46",
"superseded_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/streams/entries" \ -H "Content-Type: application/json" \ -d '{ "companyId": "8bb73d03-06b4-47c7-80c7-59301f770eda", "streamId": "22cb260b-fac8-4ce4-8488-8f1949304300", "title": "string", "content": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"success": true
}{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}Authorization
BearerAuth API key obtained from Operalta Settings → API Keys. Format: op_xxxxx. Pass as Authorization: Bearer op_....
In: header
Query Parameters
UUID of the company. Alternatively, pass as X-Company-Id request header.
uuidSearch query string.
Restrict search to a specific domain.
101 <= value <= 50Header Parameters
Company UUID. Alternative to the companyId query parameter.
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/streams/search?companyId=497f6eca-6276-4993-bfeb-53cbbbba6f08&query=string"[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"content": "string",
"type": "string",
"lifecycle": "vision",
"domain": "product",
"reversibility": "irreversible",
"confidence": "validated",
"priority": "low",
"status": "active",
"superseded_by": "a99fa58d-1b9b-4688-ad5f-382f6b17ef46",
"superseded_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]{
"error": "string",
"status": 0,
"details": {}
}{
"error": "string",
"status": 0,
"details": {}
}